body {
    font-family: "Josefin Sans", "Noto Sans JP", sans-serif;
    letter-spacing: 0.05em;
    color: #3c301e;
}

/* header */
.header {
    padding: 10px;
    text-align: center;
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    z-index: 1000;
    border-bottom: 1px solid rgba(255, 255, 255, 0.3);
}

.header-logo {
    margin-bottom: 10px;
}

.header-nav {
    color: #ffffff;
    font-size: 15px;
}

.header-nav-item a,
.header-nav-button {
    color: #ffffff;
    text-decoration: none;
    font-family: "Josefin Sans", "Noto Sans JP", sans-serif;
}

.header-nav-button {
    background: transparent;
    border: none;
    padding: 0;
    cursor: pointer;
}

.header-nav-list {
    display: flex;
    justify-content: center;
    gap: 25px;
}

.drawer-menu {
    position: absolute;
    top: 100%;
    right: 0;
    left: 0;
    background-color: rgba(59, 59, 59, 0.6);
    border-bottom: 1px solid rgba(138, 138, 138, 0.15);
    display: none;
    padding: 10px 0;
    z-index: 999;
}


.drawer-menu.is-open {
    display: block;
}

.drawer-menu-list {
    display: flex;
    justify-content: center;
    gap: 30px;
}

.drawer-menu-item {
    font-size: 14px;
    color: #ffffff;
}

/* fv */
.fv-img {
    width: 100%;
    display: block;
}

/* 共通セクション */
.inner {
    padding: 0 40px;
}

.section-heading {
    text-align: center;
    margin-bottom: 30px;
}

.section-heading-l {
    color: #ffffff;
    padding: 0 0 20px 0;
}

.section-heading-main {
    font-size: 40px;
}

.section-heading-sub {
    font-size: 13px;
}

/* aboutセクション */
.about {
    padding: 40px 0;
    background-color: #f1eee4;
}

.about-img {
    margin-bottom: 20px;
}

.about-text {
    font-size: 13px;
    text-align: center;
}

/* menuセクション */
.menu {
    padding: 60px 0 30px 0;
    background-color: #f1eee4;
}

.menu-item {
    margin-bottom: 80px;
}

.menu-name {
    text-align: center;
}

.menu-name-main {
    display: block;
    font-size: 19px;
    padding: 10px;
}

.menu-name-sub {
    display: block;
    font-size: 12px;
    margin-bottom: 20px;
    color: #ae8c59;
}

.menu-text {
    font-size: 15px;
    text-align: center;
    color: #ae8c59;
}

/* shopセクション */
.shop {
    background-image: url(../img/sp/bg-shop.png);
    background-size: cover;
    background-position: center;
    padding: 80px 0;
}

.shop-inner {
    padding: 0 15px;
}

.shop-text {
    font-size: 14px;
    text-align: center;
    color: #ffffff;
    line-height: 2;
    margin-bottom: 30px;
}

.shop-input {
    display: block;
    margin-bottom: 10px;
    padding: 15px 20px;
    background-color: #ffffff;
    border: none;
    opacity: 0.7;
    border-radius: 5px;
    width: 100%;
    font-family: "Josefin Sans", "Noto Sans JP", sans-serif;

}

.shop-button {
    display: block;
    padding: 10px 30px;
    border-radius: 5px;
    border: none;
    background-color: #ae8c59;
    color: #ffffff;
    margin: 0 auto;
}

/* footerセクション */
.footer {
    padding-top: 40px;
    background-color: #3c301e;
    color: #f1eee4;
    text-align: center;
}

.footer-logo {
    margin-bottom: 30px;
}

.footer-logo-text {
    font-size: 14px;
}

.footer-list {
    display: flex;
    justify-content: center;
    margin-bottom: 40px;
}

.footer-item {
    margin: 0 14px;
}

.footer-text-contents {
    border-bottom: 1px solid rgba(255, 255, 255, 0.3);
}

.footer-item img {
    width: 55px;
    margin-bottom: 10px;
}

.footer-text {
    font-size: 12px;
}

.footer-copy-right-text {
    padding: 15px 0;
    text-align: center;
}

.top-btn {
    position: fixed;
    right: 20px;
    bottom: 20px;
    display: none;
    z-index: 1000;
}

.top-btn-img {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    width: 60px;
    height: 60px;
    background-color: #ffffff;
    color: #000000;
    font-weight: bold;
    border-radius: 9999px;
    font-size: 14px;
}

.menu-img-click {
    cursor: pointer;
}

.modal {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: rgba(0, 0, 0, 0.8);
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 2000;
    padding: 20px;
    display: none;
}

.modal img {
    display: block;
    margin: 0 auto;
    max-width: 90%;
    max-height: 90vh;
    object-fit: contain;
}

/* タブレット　PC レスポンシブ */
@media (min-width: 768px) {
    .header {
        margin-top: 10px;
        padding: 0;
    }

    .header-inner {
        display: flex;
        justify-content: space-between;
        align-items: center;
        max-width: 1080px;
        margin: 0 auto;
        padding: 15px 55px;
    }

    .header-nav {
        font-size: 17px;
    }

    .header-nav-list {
        gap: 30px;
    }

    .inner {
        max-width: 1400px;
        margin: 0 auto;
    }

    .header-logo {
        margin: 0;
    }

    .header-nav-item {
        margin-left: 15px;
        transition: .3s opacity;
        position: relative;
    }

    .header-nav-item:hover {
        opacity: 0.7;
    }

    .header-nav-button {
        font-size: 17px;
    }

    .about {
        padding-top: 80px;
    }

    .section-heading-main {
        font-size: 60px;
    }

    .section-heading-sub {
        font-size: 12px;
    }

    .about-contents {
        display: flex;
        align-items: center;
        gap: 40px;
        justify-content: center;
    }

    .about-img {
        width: 35%;
        margin: 0 auto;
    }

    .about-text {
        font-size: 14px;
        line-height: 2;
        letter-spacing: 0.1em;
        text-align: left;
    }

    .menu-list {
        display: flex;
        gap: 20px;
        justify-content: space-between;
    }

    .menu-img {
        width: 100%;
    }

    .shop {
        background-image: url(../img/bg-shop.png);
        padding: 60px;
    }

    .shop-form {
        display: flex;
        gap: 20px;
        width: 600px;
        margin: 0 auto;
    }

    .shop-input {
        margin-bottom: 0;
    }

    .shop-button {
        cursor: pointer;
        transition: .3s opacity;
    }

    .shop-button:hover {
        opacity: 0.7;
    }

    .footer-logo-img {
        margin-bottom: 10px;
    }

    .footer-item {
        transition: .3s opacity;
    }

    .footer-item:hover {
        opacity: 0.7;
    }

    .top-btn-img {
        display: inline-flex;
        align-items: center;
        justify-content: center;
        width: 80px;
        height: 80px;
        background-color: #ffffff;
        color: #000000;
        font-weight: bold;
        border-radius: 9999px;
        font-size: 14px;
    }

    .drawer-menu {
        width: 130px;
        position: absolute;
        top: 100%;
        left: 50%;
        transform: translateX(-50%);
        background-color: rgba(59, 59, 59, 0.8);
        border-bottom: 1px solid rgba(138, 138, 138, 0.15);
        display: none;
        padding: 12px 0;
        z-index: 999;
    }

    .drawer-menu-list {
        display: block;
    }

    .drawer-menu-item {
        margin-bottom: 8px;
        text-align: center;
    }

    .drawer-menu-item:last-child {
        margin-bottom: 0;
    }

}